#ifndef MY_PROCESS_H
#define MY_PROCESS_H

#include "util.h"
namespace My_Process { 
class My_Process {
    public:
    int i_error = 0;
    int i_error_old = 0;
    string str_cmd_error = "";
    int get_count_error();
    void set_count_error(int count_error);
    void set_back_count_error();
    void log_mess_error(string);
    string get_cmd_error();
};
    

class My_Process_call: public My_Process {
    public: 
        struct Utils::Result<string> call(string cmd);
        string call_all_sections(string cmd);
    
};

class My_Process_system: public My_Process {
    public:
        void call(string cmd, string thread_str);

};
}
#endif